Bug 283591 - KTouch: Add another digit of precision to the correctness.
Summary: KTouch: Add another digit of precision to the correctness.
Status: RESOLVED FIXED
Alias: None
Product: ktouch
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Debian stable Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Sebastian Gottfried
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-08 10:10 UTC by bugzilla1.20.ntubh
Modified: 2012-11-06 11:22 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bugzilla1.20.ntubh 2011-10-08 10:10:29 UTC
Version:           unspecified
OS:                Linux

KTouch is one of the few typing trainers that can sensibly be used for honing already good typing skills. Especially, using an interesting text divided into small levels with high speed/correctness requirements for automatic level increment give just the right amount of motivation and is very effective. But when working with a crrectness around 98%, two problems appear:

    1. The correctness display is not very informative anymore.
       It's either 97, 98 or 99, so the user looses the feeling for his improvement.

    2. The automatic level increase option is just to coarse.
       When you can do 97% correctness, you don't want to jump right to 98%, it would mean that you have to cut your error rate by a third in a single step, something that is very hard to accomplish. Of course, this is even more severe when you are already at 98%.

So I suggest to simply add nother digit of precision to these numbers. This should be a rather easy fix that really improves the usability for experienced users. It would be even better, if KTouch would calculate with floating point numbers.

Reproducible: Always



Expected Results:  
The correctness display has a precision smaller or equal to 0.1%.
The correctness limits options for automatic level increment/decrement allow the user to enter numbers with a precision smaller or equal to 0.1%.
Comment 1 Sebastian Gottfried 2012-11-06 11:20:01 UTC
Git commit 978d12b3178c53126499fb476bd1a39474a06bd9 by Sebastian Gottfried.
Committed on 06/11/2012 at 12:08.
Pushed by gottfried into branch 'master'.

allow to set required accuracy with one more digit precision

Now one can set fractional percent values for the required accuracy
to unlock the next lesson. Sine the difference between 97% and 98%
accuracy actually means one may make only two thirds of the errors
to pass a more fine granual setting is really helpful.
FIXED-IN: 2.0

M  +2    -2    src/declarativeitems/preferencesproxy.cpp
M  +3    -3    src/declarativeitems/preferencesproxy.h
M  +1    -1    src/ktouch.kcfg
M  +14   -3    src/ui/trainingconfigwidget.ui

http://commits.kde.org/ktouch/978d12b3178c53126499fb476bd1a39474a06bd9
Comment 2 Sebastian Gottfried 2012-11-06 11:22:14 UTC
The other aspects of this wish have already been implemented in the very early states of version 2.0.